/*
 * Copyright (c) 2000-2003 Illinois Institute of Technology.
 *                         All rights reserved.
 *
 * This file is part of the GHS software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * GHS source distribution.
 *
 * Released Date: August 18 2005
 * This is the GHS I release by the
 *   SCS Group,
 *   http://www.cs.iit.edu/~scs
 *   Department of Computer Science,
 *   Illinois Institute of Technology.
 *
 * This release has been tested under SUN OS 5.9.
 *
 * Supervisor
 * ----------
 * Illiniois Institute of Technology:
 * -Dr. Xian-He Sun
 *
 * Author(s)
 * -----------------
 * Illinois Institute of Technology:
 * -Ming Wu
 * -Xian-He Sun
 *
 */

#define DEBUG_ON 0 
#define COMM_DEBUG_ON 0 
#define APST_DEBUG_ON 0 
#define INVALID_PARA_VALUE -1 
#define BUF_SIZE 120 // Buffer's size
#define MAX_WS_NUM 100
#define MAX_GJOB_NUM 1000
#define XNUM 100
#define PHASE_NUM 20
#define MAX_HOUR_SIZE 50
#define MAX_DAY_SIZE 50
#define MAX_HOUR 7200

#define SERVER_PORT 3490
#define DAEMON_PORT 3460

struct _JobStatistics
{
  double arrivalRate;
  double serviceRate;
  double serviceSTD;
};

typedef enum 
{
  SERVER_INQUIRY, SERVER_REPLY, CLIENT_INQUIRY, CLIENT_REPLY, CLIENT_PUSH
} MsgTypes;

